Actualizar python para Kodi 17.6

Spanish Forum

Moderator: JCSenar

Post Reply
desmolinux
Level 2
Level 2
Posts: 62
Joined: Mon Oct 02, 2017 7:05 am

Actualizar python para Kodi 17.6

Post by desmolinux » Tue Nov 13, 2018 7:06 pm

Hola a todos, desde hace unas semanas cada vez que abro el Kodi me sale el mensaje que se puede ver en la imagen, y no se como actualizar el python criptography , ya que en el gestor de software la version que está es la 1.2.3

Que puedo hacer?

Image
Last edited by desmolinux on Wed Nov 14, 2018 1:49 pm, edited 1 time in total.

User avatar
JOPETA
Level 13
Level 13
Posts: 4910
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizar python

Post by JOPETA » Wed Nov 14, 2018 6:54 am

Empieza por mostrar la imagen como se indica en este tutorial. :D

Sin contar con que puedes tener varias versiones del phyton coexistiendo en la misma instalación, deberás mencionar la edición de Mint/Ubuntu. Entiendo que no debes tener instalado Linux Mint 19 ( el paquete 1.2.3-1ubuntu0.2 corresponde a ubuntu xenial mientras que en LM 19/Ubuntu bionic el paquete es el 2.1.4-1ubuntu1.2). En estos días se está procediendo a la instalación de varias librerías python y no se si alguna será de este paquete en concreto o alguna de sus dependecias.

A ver que muestra la imágen.... :roll:
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

desmolinux
Level 2
Level 2
Posts: 62
Joined: Mon Oct 02, 2017 7:05 am

Re: Actualizar python

Post by desmolinux » Wed Nov 14, 2018 10:25 am

9876271captura-de-pantalla.png
9876271captura-de-pantalla.png (168.77 KiB) Viewed 133 times
Tengo linuxmint 18.2 sonya Cinnamon

User avatar
JOPETA
Level 13
Level 13
Posts: 4910
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizar python

Post by JOPETA » Wed Nov 14, 2018 11:39 am

¿Y no te ha picado la cusiosidad de seguir el enlace a ver que dicen? :shock:

Yo si lo he hecho, aunque no uso Kodi (es mas pensaba que ahora se llamaba de otra forma XBMC y así se llama la PPA que lo proporciona para Ubuntu xenial ppa:team-xbmc/ppa que después de snapd me parecen formas menos intrusivas de instalar versiones actualizadas de algo que puede chocar con las librerías del sistema y por lo tanto afectar a su estabilidad)

En los enlaces (y por descontado que ha sido una rápida ojeada) en un momento se plantean varias soluciones.Desde luego las de instalar ese paquete desde Ubuntu zesty es decir añadir los repositorios de Ubuntu zesty>Limitar (que no anular) la posibilidad actualizar otros paquetes y librerías del sistema, no me parecen acertadas y no se si te sería mas rentable, de no tener otra versión de KODI (hablan de Kodi 17 y es la misma versión proporcionada pro la ppa mencionada arriba) menos actualizado o equivalente para Ubuntu xenial/linux MInt 18.X, directamente actualizar a LM 18.3 y de ahí a LM 19 (Ubuntu bionic)...:roll:

También plantean otras alternativas mas "normales" dentro de lo no aconsejable que es tratar de instalar versiones muy actuales de paquetes con dependencias compartidas con librerias del sistema, como descargar los paquetes desde Debian o desde una ppa. No quiero decir que lo hagas, y menos sin saber los resultados, además el/los hilos son de hace mas de un año, solo que tengas cuidado a la hora de seguir lo que se propone.

Mejor empieza por cambiar el título del hilo (clic en el icono del lápiz del primer post), añade la versión de Kodi, tu sistema actual y la referencia al problema (algo como ¿cómo actualizo python cryptography para kodi X.X en LM 18.2?) y espera a que otro usuario que haya pasado por esto te indique una solución. :wink:
Last edited by JOPETA on Thu Nov 15, 2018 8:59 am, edited 1 time in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

desmolinux
Level 2
Level 2
Posts: 62
Joined: Mon Oct 02, 2017 7:05 am

Re: Actualizar python para Kodi 17.6

Post by desmolinux » Thu Nov 15, 2018 6:56 am

https://www.python.org/downloads/source/

Entiendo que este pytohon es el mismo que el criptography? Lo digo porque las version que me pide el Kodi , ni aparece en la seccion de linux de pyton. :shock:

User avatar
JOPETA
Level 13
Level 13
Posts: 4910
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizar python para Kodi 17.6

Post by JOPETA » Thu Nov 15, 2018 7:22 am

No es todo python, es sólo el paquete mencionado python-cryptography y otro (python-openssl) por aquello de las dependencias que también comentan en los hilo de referencia de Kodi. Claro que tendrás que seguir los enlaces para ello empezando por el enlace de aviso (en versión http claro) y de ahí a aquí después de dar muchas vueltas (en un principio terminé bastante mareado con las alterntivas de ahí los comentarios, esta última tambien estaba comentada).:D
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

Post Reply

Return to “Español (Spanish)”